%define name pyvorbis
%define version 1.5
%define prerel a
%define release %mkrel 0.%prerel.2
%define pyoggversion 1.3

Summary: A wrapper for the Vorbis libraries
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ekyo.nerim.net/software/pyogg/%{name}-%{version}%{prerel}.tar.gz
#gw from Debian: fix Unicode in VorbisComment, add pyao support to the example
Patch: pyvorbis-1.3-unicode.patch
Patch1: pyvorbis-1.5a-python2.5.patch
License: LGPL
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libvorbis-devel
BuildRequires: libpython-devel
BuildRequires: pyogg >= %pyoggversion
Requires: pyogg >= %pyoggversion
Url: http://ekyo.nerim.net/software/pyogg/index.html

%description
pyvorbis - a Python wrapper for the Ogg/Vorbis library

Ogg/Vorbis is available at http://www.xiph.org

This is the Vorbis module. You will need to download and install the
Python ogg module (available wherever you got this) before you can
build the vorbis module.


%prep
%setup -q -n %name-%version%prerel
%patch -p1 -b .unicode
%patch1 -p1 -b .python2.5

%build
python config_unix.py
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS
%py_platsitedir/*




%changelog
* Sat Dec 27 2008 Adam Williamson <awilliamson@mandriva.com> 1.5-0.a.2mdv2009.1
+ Revision: 319586
- rebuild with python 2.6

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.5-0.a.1mdv2008.1
+ Revision: 140738
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 30 2007 Götz Waschk <waschk@mandriva.org> 1.5-0.a.1mdv2008.0
+ Revision: 93999
- new version (fixes bug #28202 again)
- update patch 1

* Thu Sep 06 2007 Götz Waschk <waschk@mandriva.org> 1.4-2mdv2008.0
+ Revision: 80604
- bump release for bug #27632
- new version

* Wed Apr 25 2007 Götz Waschk <waschk@mandriva.org> 1.3-8mdv2008.0
+ Revision: 18131
- update patch 1


* Fri Feb 23 2007 Götz Waschk <waschk@mandriva.org> 1.3-7mdv2007.0
+ Revision: 124857
- fix bug #28202 (crash with python 2.5) with a patch from Ubuntu
- rediff patch 0

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 1.3-6mdv2007.1
+ Revision: 88143
- Import pyvorbis

* Tue Nov 28 2006 Gtz Waschk <waschk@mandriva.org> 1.3-6mdv2007.1
- update file list

* Mon Dec 05 2005 Götz Waschk <waschk@mandriva.org> 1.3-5mdk
- Rebuild

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.3-4mdk
- Rebuild for new python

* Sat Sep 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3-3mdk
- fix URL

